\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\definecolor{wrwrwr}{rgb}{0.3803921568627451,0.3803921568627451,0.3803921568627451}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-1,-1) rectangle (8,6);
\fill[line width=1.5pt,color=A3,fill=A3] (0,2) -- (5,0) -- (7,3) -- (2,5) -- cycle;
\draw [line width=1.5pt] (0,0)-- (5,0);
\draw [line width=1.5pt] (5,0)-- (7,0);
\draw [line width=1.5pt] (5.95,0.12) -- (5.95,-0.12);
\draw [line width=1.5pt] (6.05,0.12) -- (6.05,-0.12);
\draw [line width=1.5pt] (7,0)-- (7,3);
\draw [line width=1.5pt] (7,3)-- (7,5);
\draw [line width=1.5pt] (6.88,3.95) -- (7.12,3.95);
\draw [line width=1.5pt] (6.88,4.05) -- (7.12,4.05);
\draw [line width=1.5pt] (7,5)-- (2,5);
\draw [line width=1.5pt] (2,5)-- (0,5);
\draw [line width=1.5pt] (1.05,4.88) -- (1.05,5.12);
\draw [line width=1.5pt] (0.95,4.88) -- (0.95,5.12);
\draw [line width=1.5pt] (0,5)-- (0,2);
\draw [line width=1.5pt] (0,2)-- (0,0);
\draw [line width=1.5pt] (0.12,1.05) -- (-0.12,1.05);
\draw [line width=1.5pt] (0.12,0.95) -- (-0.12,0.95);
\draw [line width=1.5pt,color=A2] (0,2)-- (5,0);
\draw [line width=1.5pt,color=A2] (5,0)-- (7,3);
\draw [line width=1.5pt,color=A2] (7,3)-- (2,5);
\draw [line width=1.5pt,color=A2] (2,5)-- (0,2);
\draw [line width=1.5pt, <->] (0.25,5.25)-- node[above] {$x$} (1.75,5.25);
\draw [line width=1.5pt, <->] (7.25,4.75)-- node[right] {\rotatebox{-90}{$5cm$}} (7.25,0.25);
\draw [line width=1.5pt, <->] (6.75,-0.25)-- node[below] {7cm} (0.25,-0.25);
\draw (-0.25,-0.25) node {$A$};
\draw (7.25,-0.25) node {$B$};
\draw (7.25,5.25) node {$C$};
\draw (-0.25,5.25) node {$D$};
\draw (5.5,0.25) node {$E$};
\draw (6.75,3.5) node {$F$};
\draw (2.25,5.25) node {$G$};
\draw (-0.25,2.25) node {$H$};
\end{tikzpicture}
\end{document}